package com.gyee.frame.model.custom;

import java.io.Serializable;
import java.util.List;

public class StopAnalysisNodeVo implements Serializable {
	private static final long serialVersionUID = 1L;
	private String id;
	private String pid;
	private String name;
	private String judegVulue;
	private String url;
	private Boolean isParent;
	private List<StopAnalysisNodeVo> children;

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public void setParent(Boolean parent) {
		isParent = parent;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}


	public Boolean getParent() {
		return isParent;
	}

	public void setIsParent(Boolean parent) {
		isParent = parent;
	}

	public List<StopAnalysisNodeVo> getChildren() {
		return children;
	}

	public void setChildren(List<StopAnalysisNodeVo> children) {
		this.children = children;
	}


	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getJudegVulue() {
		return judegVulue;
	}

	public void setJudegVulue(String judegVulue) {
		this.judegVulue = judegVulue;
	}
}
